Subject: bug#58957: [PATCH] Improve Brahmi composition rules.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Nov 2022 14:32:08 +0200

> From: समीर सिंह Sameer Singh
>  <[email-masked]>
> Date: Wed, 2 Nov 2022 08:14:09 +0530
> 
> On Wed, Nov 2, 2022 at 8:12 AM समीर सिंह Sameer Singh <[email-masked]> wrote:
> 
>  The present composition rules for Brahmi have a bug where the virama is not composed with the
>  consonants, I have fixed that now. I have also added support for composing velar and bilabial fricatives in
>  Brahmi.
> 
>  Please review the patch.

Thanks.

Should we perhaps introduce tests for compositions?  For example, I
guess you found the problems with the current rules by examining the
display of some sequences of characters, so why not add a test that
would make sure we never again break those composable sequences?